* [gentoo-commits] repo/gentoo:master commit in: games-rpg/celeste/
@ 2021-12-26 23:48 James Le Cuirot
0 siblings, 0 replies; only message in thread
From: James Le Cuirot @ 2021-12-26 23:48 UTC (permalink / raw
To: gentoo-commits
commit: 110a51260f6ca3e1fb7c67c4f7c1a8d82872305c
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 26 23:47:30 2021 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Dec 26 23:47:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=110a5126
games-rpg/celeste: New package
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
games-rpg/celeste/Manifest | 1 +
games-rpg/celeste/celeste-1.4.0.0.ebuild | 57 ++++++++++++++++++++++++++++++++
games-rpg/celeste/metadata.xml | 8 +++++
3 files changed, 66 insertions(+)
diff --git a/games-rpg/celeste/Manifest b/games-rpg/celeste/Manifest
new file mode 100644
index 000000000000..6e998046f289
--- /dev/null
+++ b/games-rpg/celeste/Manifest
@@ -0,0 +1 @@
+DIST celeste-linux.zip 887889393 BLAKE2B 2b253db8b2b3e9a8977d2a5a8c235856be89a2e894c6e790b05ae1210a2edde38cdda89c94d8e8c6be0682ec4ba413353d296b4e6386d73b4cca37d0a16512f7 SHA512 a2ea4483ceba166a210b90237bbebc455528c3c39b85e1f6134f9360d81dde750e2d719e8c0d0c938770b2d96b8da990953ff226d9f4a7d4dcc08e20d4a345c9
diff --git a/games-rpg/celeste/celeste-1.4.0.0.ebuild b/games-rpg/celeste/celeste-1.4.0.0.ebuild
new file mode 100644
index 000000000000..9228f4c91be6
--- /dev/null
+++ b/games-rpg/celeste/celeste-1.4.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CHECKREQS_DISK_BUILD="1200M"
+inherit desktop check-reqs xdg
+
+DESCRIPTION="Narrative-driven, single-player adventure like mom used to make"
+HOMEPAGE="https://mattmakesgames.itch.io/celeste"
+SRC_URI="${PN}-linux.zip"
+S="${WORKDIR}"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="bindist fetch splitdebug"
+
+DIR="/opt/${PN}"
+QA_PREBUILT="${DIR#/}/*"
+
+RDEPEND="media-libs/libsdl2[joystick,opengl,sound,video]"
+BDEPEND="app-arch/unzip"
+
+pkg_nofetch() {
+ einfo "Please buy and download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to your distfiles directory."
+}
+
+src_prepare() {
+ default
+ rm -v \
+ lib*/libSDL2-2.0.so.0 \
+ lib*/libSDL2_image-2.0.so.0 \
+ lib*/libpng15.so.15 \
+ || die
+}
+
+src_install() {
+ local \
+ arch=$(usex amd64 x86_64 x86) \
+ libdir=lib$(usex amd64 64 "")
+
+ insinto "${DIR}"
+ doins -r *.dll* Celeste.exe* Celeste*.pdb Content/ mono*
+
+ exeinto "${DIR}"
+ doexe Celeste.bin.${arch}
+
+ exeinto "${DIR}"/${libdir}
+ doexe ${libdir}/*.so*
+
+ newicon -s 512 Celeste.png ${PN}.png
+ dosym "../..${DIR}/Celeste.bin.${arch}" /usr/bin/${PN}
+ make_desktop_entry ${PN} Celeste
+}
diff --git a/games-rpg/celeste/metadata.xml b/games-rpg/celeste/metadata.xml
new file mode 100644
index 000000000000..7c730d47817a
--- /dev/null
+++ b/games-rpg/celeste/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+</pkgmetadata>
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2021-12-26 23:48 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-12-26 23:48 [gentoo-commits] repo/gentoo:master commit in: games-rpg/celeste/ James Le Cuirot
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox